#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	 
	ofxTuioEvents.addListener(this);
	
	ofSetFrameRate(60);
	tuio.start(3333);	
}

//--------------------------------------------------------------
void testApp::update(){
	tuio.getMessage();
}


//--------------------------------------------------------------
void testApp::draw(){
	ofBackground(0,0,0);
	tuio.drawCursors();
	tuio.drawObjects();
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}

void testApp::tuioDown(int x, int y, long id){
	cout<<ofToString((int)id)+" Down: X: "+ofToString(x)+" Y: "+ofToString(y)<<endl;
}
void testApp::tuioUp(int x, int y, long id){
	cout<<ofToString((int)id)+" Up: X: "+ofToString(x)+" Y: "+ofToString(y)<<endl;
}
void testApp::tuioMoved(int x, int y, long id){
	cout<<ofToString((int)id)+" Moved: X: "+ofToString(x)+" Y: "+ofToString(y)<<endl;
}
